<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
xmlns:TIR_Car="urn:customs.ru:Information:TransportDocuments:Car:CUTIR_Carnet:5.10.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:output method="xml"/>
	<!--выгрузка из xml таможенного формата в ПИ TIR-->


	<xsl:template match="*|/">
		<xsl:apply-templates select="//TIR_Car:CUTIR_Carnet"/>
	</xsl:template>
	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>
	
	<xsl:template match="TIR_Car:TIRGoods">
		<xsl:variable name="PosG">
			<xsl:number level="single"/>
		</xsl:variable>
		<xsl:element name="TIRGoods" xmlns="urn:customs.ru:Information:TransportDocuments:Car:CUTIR_Carnet:5.10.0">
		<xsl:for-each select="child::*"> 
			<xsl:choose>
				<xsl:when test="name()='GoodsNumeric'">
					<xsl:element name="GoodsNumeric">
						<xsl:value-of select="$PosG"/>
					</xsl:element>
				</xsl:when>
				<xsl:otherwise>
					<xsl:copy-of select="."/> 	
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>		
	</xsl:element>	
	</xsl:template>


</xsl:stylesheet>
