<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="ArmtiEDContainerInventory.xsl"/>
	<xsl:param name="RU_Album_Version"/>
	<xsl:param name="DeclLastName"/>
	<xsl:param name="DeclFirstName"/>
	<xsl:param name="Now"/>
	<xsl:template match="/Package">
		<xsl:call-template name="EDTRANSIT_INVENTORY">
			<xsl:with-param name="RU_Album_Version" select="$RU_Album_Version"/>
			<xsl:with-param name="Now" select="$Now"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="EDTRANSIT_INVENTORY">
		<xsl:apply-templates mode="Inventory-armti" select="EDTRANSIT_INVENTORY/EDTRANSIT_INVENTORY_ITEM">
			<xsl:with-param name="RU_Album_Version" select="$RU_Album_Version"/>
			<xsl:with-param name="Now" select="$Now"/>
		</xsl:apply-templates>
	</xsl:template>
</xsl:stylesheet>
