<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<ED_Container xmlns ="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
				<xsl:call-template name="FREEBINARYDOC"/>
	
			</ED_Container>	
	</xsl:template>
-->
	<xsl:template name="FREEBINARYDOC">
		<xsl:for-each select="FREEBINARYDOC/FREEBINARYDOC_ITEM">
			<xsl:call-template name="FREEBINARYDOC_ONE_DOC"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="FREEBINARYDOC_ONE_DOC">	
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<FreeBinaryDoc xmlns="urn:customs.ru:Information:CustomsDocuments:FreeBinaryDoc:5.10.0"  xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006110E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<DocumentInfo>
							<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
							<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
							<cat_ru:PrDocumentDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="RegDate"/>
								</xsl:call-template>
							</cat_ru:PrDocumentDate>
						</DocumentInfo>
						<xsl:if test="string-length(MainDocumentInfo_Name)>0 or string-length(MainDocumentInfo_Number)>0 or string-length(MainDocumentInfo_Date)>0">
							<MainDocumentInfo>
								<xsl:if test="string-length(MainDocumentInfo_Name)>0">
									<cat_ru:PrDocumentName><xsl:value-of select="MainDocumentInfo_Name"/></cat_ru:PrDocumentName>
								</xsl:if>
								<xsl:if test="string-length(MainDocumentInfo_Number)>0">	
									<cat_ru:PrDocumentNumber><xsl:value-of select="MainDocumentInfo_Number"/></cat_ru:PrDocumentNumber>
								</xsl:if>
								<xsl:if test="string-length(MainDocumentInfo_Date)>0">
									<cat_ru:PrDocumentDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="MainDocumentInfo_Date"/>
										</xsl:call-template>
									</cat_ru:PrDocumentDate>
								</xsl:if>	
							</MainDocumentInfo>
						</xsl:if>
						<DocumentBody>
							<FileName><xsl:value-of select="substring-before(FileData,';')"/></FileName>
							<FileData><xsl:value-of select="substring-after(FileData,';')"/></FileData>
						</DocumentBody>
					</FreeBinaryDoc>
				</DocBody>
			</ContainerDoc>	
	</xsl:template>
</xsl:stylesheet>
