<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/incomings-html.xsl"/>
	<xsl:variable name="EDEXPRESS-incomings-map" select="document('')/*/xsl:template[ @name = 'EDEXPRESS-incomings-map' ]/incoming"/>
	<xsl:template name="EDEXPRESS-incomings-map">
		<!--в порядке появления сообщений по статусной модели, потому что... - см. incomings-html.xsl-->
		<incoming new-pkgstatus="$STATUS-REJECTED" CfgName="CMN.11103.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-EDEXPRESS-DECL-FATAL" CfgName="CMN.11145.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-EDEXPRESS-DECL-REG" CfgName="CMN.11097.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-EDEXPRESS-RESOLVED" CfgName="CMN.11098.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-EDEXPRESS-RESOLVED" CfgName="CMN.11150.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-EDEXPRESS-RESOLVED" CfgName="CMN.11152.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-REQUESTING-FOR-ANSWER" CfgName="CMN.11138.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-REQUESTING-FOR-ANSWER" CfgName="ED.11003.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-CONFIRMED" CfgName="CMN.11004.cfg.xml"/>
	</xsl:template>
</xsl:stylesheet>
