<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="Package.Armti-EDContainer-FLK.xsl"/>
	<xsl:import href="../../COMMON/Package.xsl"/>
	<xsl:import href="../../COMMON/copy.xsl"/>
	<xsl:param name="ReqId"/>
	<xsl:param name="ReqPosId"/>
	<xsl:template match="*[ 'ED_Container' = local-name() ]/*[ 'ContainerDoc' = local-name() ]/*[ 'DocBody' = local-name() ]/*">
		<xsl:call-template name="EDContainer-FLK"/>
		<EPS_DocResponse xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns="urn:customs.ru:Information:ExchangeDocuments:EPS_DocResponse:5.10.0" DocumentModeID="1004081E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
			<cat_ru:RefDocumentID>
				<xsl:value-of select="$ReqId"/>
			</cat_ru:RefDocumentID>
			<RequestPositionID>
				<xsl:value-of select="$ReqPosId"/>
			</RequestPositionID>
			<DocResponse>
				<DocResponseBody>
					<xsl:copy>
						<xsl:call-template name="copy-content"/>
					</xsl:copy>
				</DocResponseBody>
			</DocResponse>
		</EPS_DocResponse>
	</xsl:template>
</xsl:stylesheet>
