<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:variable name="DocCount" select="count(   *[ 'ED_Container' = local-name() ]/*[ 'ContainerDoc' = local-name() ]/*[ 'DocBody' = local-name() ]/*   )"/>
	<xsl:param name="DocCountMax" select="$DocCount"/>
	<xsl:param name="DocCountMax-ErrorMessage" select="'Превышено количество документов в пакете для одной отправки.'"/>
	<xsl:template match="/">
		<xsl:call-template name="EDContainer-FLK"/>
		<xsl:message terminate="yes">
			<xsl:value-of select="'ROOT TEMPLATE STUB: wrong xsl:import order of Package.Armti-EDContainer-FLK.xsl'"/>
		</xsl:message>
	</xsl:template>
	<xsl:template name="EDContainer-FLK">
		<xsl:if test="$DocCount > $DocCountMax">
			<xsl:message terminate="yes">
				<xsl:value-of select="concat($DocCountMax-ErrorMessage, ' Ожидается не более ', $DocCountMax,'. Сейчас есть ', $DocCount, '.')"/>
			</xsl:message>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
