<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="ArmtiEDContainerWayBillExpressIndividual.xsl"/>
	<xsl:import href="ArmtiEDContainerCustomsBrokerCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerQualificationCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerLetterOfAttorney.xsl"/>
	<xsl:import href="ArmtiEDContainerPassport.xsl"/>
	<xsl:import href="ArmtiEDContainerCustomsRegistryCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerExtractFromOrder.xsl"/>
	<xsl:import href="ArmtiEDContainerDO1.xsl"/>
	<xsl:import href="ArmtiEDContainerCertificatDImmatriculation.xsl"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:for-each select="/Package">
			<xsl:call-template name="sysdlxml"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="sysdlxml">
		<xsl:call-template name="WBEI"/>
		<xsl:call-template name="CUSTBROKSERTIF"/>
		<xsl:call-template name="QUALIFSERTIF"/>
		<xsl:call-template name="DOVER"/>
		<xsl:call-template name="PASSPORTRF"/>
		<xsl:call-template name="EXTRFROMORDER"/>
		<xsl:call-template name="CUSTREGSERTIF"/>
		<xsl:call-template name="DO1"/>
		<xsl:call-template name="TSREGSERTIF"/>
	</xsl:template>
</xsl:stylesheet>
