<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:import href="ArmtiEDContainerInvoice.xsl"/>
	<xsl:import href="ArmtiEDContainerFreeDoc.xsl"/>
	<xsl:import href="ArmtiEDContainerAWB.xsl"/>
	<xsl:import href="ArmtiEDContainerPassList.xsl"/>
	<xsl:import href="ArmtiEDContainerCommInvoice.xsl"/>
	<xsl:import href="ArmtiEDContainerApplicationStore.xsl"/>
	<xsl:import href="ArmtiEDContainerGDAirTransport.xsl"/>
	<xsl:import href="ArmtiEDContainerCargoManifest.xsl"/>
	<xsl:import href="ArmtiEDContainerCrewList.xsl"/>
	<xsl:import href="ArmtiEDContainerGeneralDecl.xsl"/>
	<xsl:import href="ArmtiEDContainerConosament.xsl"/>
	<xsl:import href="ArmtiEDContainerArrCargoDeclaration.xsl"/>
	<xsl:import href="ArmtiESADoutCU.xsl"/>
	<xsl:import href="ArmtiEDContainerTIR.xsl"/>
	<xsl:import href="ArmtiEDContainerTTN.xsl"/>
	<xsl:import href="ArmtiEDContainerCMR.xsl"/>
	<xsl:import href="ArmtiEDContainerPackList.xsl"/>
	<xsl:import href="ArmtiEDContainerRWB.xsl"/>
	<xsl:import href="ArmtiEDContainerInternalRWB.xsl"/>
	<xsl:import href="ArmtiEDContainerContract.xsl"/>
	<xsl:import href="ArmtiEDContainerProhibitedGoods.xsl"/>
	<xsl:import href="ArmtiEDContainerPostalManifest.xsl"/>
	<xsl:import href="ArmtiEDContainerProfInvoice.xsl"/>
	<xsl:import href="ArmtiEDContainerShippingSpecification.xsl"/>
	<xsl:import href="ArmtiEDContainerOEZ_ImportExportNotif.xsl"/>
	<xsl:import href="ArmtiEDContainerCTM_Cmr.xsl"/>
	<xsl:import href="ArmtiEDContainerCTM_RWB.xsl"/>
	<xsl:import href="ArmtiEDContainerCTM_AWB.xsl"/>
	<xsl:import href="ArmtiEDContainerCTM_SEA.xsl"/>
	<xsl:import href="ArmtiESADoutTD.xsl"/>
	<xsl:import href="ArmtiEDContainerGTDOutCustomsMark.xsl"/>
	<xsl:import href="ArmtiDO1Report.xsl"/>
	<xsl:import href="ArmtiEDContainerGoodsGroupInvoice.xsl"/>
	<xsl:import href="ArmtiEDContainerDeclarationCrew.xsl"/>
	<xsl:import href="ArmtiEDContainerFreeBinaryDoc.xsl"/>
	<xsl:import href="ArmtiEDContainerCertificatePreciousMetal.xsl"/>
	<xsl:import href="ArmtiEDContainerCertificateRightStateFlag.xsl"/>
	<xsl:import href="ArmtiEDContainerCertificateTitleVessel.xsl"/>
	<xsl:import href="ArmtiEDContainerConformanceSertif.xsl"/>
	<xsl:import href="ArmtiEDContainerCultureCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerFitoSanitaryCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerQuarantineCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerSanitarySertif.xsl"/>
	<xsl:import href="ArmtiEDContainerSertifAForm.xsl"/>
	<xsl:import href="ArmtiEDContainerSertifST1Form.xsl"/>
	<xsl:import href="ArmtiEDContainerSertifST2Form.xsl"/>
	<xsl:import href="ArmtiEDContainerInventory.xsl"/>
	<xsl:import href="ArmtiEDContainerWHDocInventory.xsl"/>
	<xsl:import href="Package.Armti-EDContainer-sysdlxml.xsl"/>
	<xsl:import href="ArmtiEDContainerOEZ_Inventory.xsl"/>
	<xsl:import href="ArmtiEDContainerStateRegistrationCertif.xsl"/>
	<xsl:import href="ArmtiEDContainerTaxOrganRegistrationCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerCustomsBrokerCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerCustomsRepresContract.xsl"/>
	<xsl:import href="ArmtiEDContainerPassport.xsl"/>
	<xsl:import href="ArmtiEDContainerLetterOfAttorney.xsl"/>
	<xsl:import href="ArmtiEDContainerCertificatDImmatriculation.xsl"/>
	<xsl:import href="ArmtiEDContainerCustomsRegistryCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerExtractFromOrder.xsl"/>
	<xsl:import href="ArmtiEDContainerVeterinaryCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerSupplementaryContract.xsl"/>
	<xsl:param name="OtherSchema"/>
	<!--select="0"-->
	<xsl:param name="ExportIsReload"/>
	<!-- select="0"-->
	<xsl:param name="GoodsFromCMRForPi"/>
	<!-- select="0"-->
	<xsl:param name="Tranzit"/>
	<!--  select="21"-->
	<xsl:param name="SelectDcl"/>
	<!-- select="0" -->
	<xsl:param name="BLRArrivialDate"/>
	<xsl:param name="DeclLastName" select="'N'"/>
	<xsl:param name="DeclFirstName" select="'N'"/>
	<xsl:param name="Now" select="'2012-01-01'"/>
	<xsl:param name="CreateOnlyEDContainer"/>
	<!-- -->
	<xsl:param name="CreateOEZDocuments"/>
	<!-- -->
	<xsl:param name="ConosamentFromArrSeaDcl"/>
	<!-- select="2"-->
	<xsl:param name="ForRZDPI"/>
	<xsl:param name="ForPMP"/>
	<!--select="1"-->
	<xsl:param name="CreateWHEDContainer"/>
	<!-- -->
	<xsl:param name="IncludeInventory"/>
	<!-- Отправка 4 документов авиа с исправлениями после получения решения-->
	<xsl:param name="CustomsDecision"/>
	
	<xsl:param name="NotHazCargoCode"/>
	<xsl:param name="TypeExportTD"/>
	<xsl:param name="GUIDForKZX"/>
	<xsl:param name="make-BillofLadingId"/>
	<xsl:param name="BuildName"/>
	<xsl:output method="xml"/>
	<xsl:template match="/">
		<xsl:choose>
			<xsl:when test="$Tranzit=1 and string-length($BLRArrivialDate)=0">
				<xsl:choose>
					<xsl:when test="count(//ESADOUT_PIT/ESADOUT_PIT_ITEM)>0  and $ForPMP=1">
						<xsl:call-template name="ESADout_TD">
							<xsl:with-param name="DeclLastName" select="$DeclLastName"/>
							<xsl:with-param name="DeclFirstName" select="$DeclFirstName"/>
							<xsl:with-param name="ForPMP" select="$ForPMP"/>
							<xsl:with-param name="Now" select="$Now"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:when test="count(//ESADOUT_TD/ESADOUT_TD_ITEM)>0  and $ForRZDPI!=1 and $TypeExportTD='KZH'">
					<!--	<ED_Container xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
							<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="translate(translate(normalize-space($GUIDForKZX),'}',''),'{','')"/></cat_ru:DocumentID>
							<ContainerDoc>
								<DocBody>-->
									<xsl:call-template name="ESADout_TD">
										<xsl:with-param name="DeclLastName" select="$DeclLastName"/>
										<xsl:with-param name="DeclFirstName" select="$DeclFirstName"/>
										<xsl:with-param name="Now" select="$Now"/>
										<xsl:with-param name="TypeExportTD" select="$TypeExportTD"/>
										<xsl:with-param name="GUIDForKZX" select="$GUIDForKZX"/>
									</xsl:call-template>
								<!--</DocBody>
							</ContainerDoc>
						</ED_Container>-->
					</xsl:when>
					<xsl:when test="count(//ESADOUT_TD/ESADOUT_TD_ITEM)>0  and $ForRZDPI!=1 and $TypeExportTD!='KZH'">
						<xsl:call-template name="ESADout_TD">
							<xsl:with-param name="DeclLastName" select="$DeclLastName"/>
							<xsl:with-param name="DeclFirstName" select="$DeclFirstName"/>
							<xsl:with-param name="Now" select="$Now"/>
							<xsl:with-param name="TypeExportTD" select="$TypeExportTD"/>
							<xsl:with-param name="GUIDForKZX" select="$GUIDForKZX"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:when test="count(//ESADOUT_TD/ESADOUT_TD_ITEM)>0 and $ForRZDPI=1">
						<ED_Container xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
							<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
							<ContainerDoc>
								<DocBody>
									<xsl:call-template name="ESADout_TD">
										<xsl:with-param name="DeclLastName" select="$DeclLastName"/>
										<xsl:with-param name="DeclFirstName" select="$DeclFirstName"/>
										<xsl:with-param name="Now" select="$Now"/>
										<xsl:with-param name="TypeExportTD" select="$TypeExportTD"/>
										<xsl:with-param name="GUIDForKZX" select="$GUIDForKZX"/>
									</xsl:call-template>
								</DocBody>
							</ContainerDoc>
							<xsl:if test="count(//RWB/RWB_ITEM)>0">
								<xsl:call-template name="CTMCONTAINER_RWB">
									<xsl:with-param name="Now" select="$Now"/>
								</xsl:call-template>
							</xsl:if>
						</ED_Container>
					</xsl:when>
					<xsl:otherwise>
						<ED_Container xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
							<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
							<xsl:for-each select="//Package">
								<ContainerDoc>
									<DocBody>
										<xsl:call-template name="ESADout_CU">
											<xsl:with-param name="TranzitDcl" select="$Tranzit"/>
											<xsl:with-param name="SelectDcl" select="$SelectDcl"/>
											<xsl:with-param name="DeclLastName" select="$DeclLastName"/>
											<xsl:with-param name="DeclFirstName" select="$DeclFirstName"/>
											<xsl:with-param name="Now" select="$Now"/>
										</xsl:call-template>
									</DocBody>
								</ContainerDoc>
								<xsl:if test="count(RWB/RWB_ITEM)>0 and $ForRZDPI=1">
									<xsl:call-template name="CTMCONTAINER_RWB">
										<xsl:with-param name="Now" select="$Now"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:for-each>
						</ED_Container>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$Tranzit=5 and count(//ESADOUT_TD/ESADOUT_TD_ITEM)>0" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
				<ED_Container xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
					<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
					<ContainerDoc>
						<DocBody>
							<xsl:call-template name="ESADout_TD">
								<xsl:with-param name="DeclLastName" select="$DeclLastName"/>
								<xsl:with-param name="DeclFirstName" select="$DeclFirstName"/>
								<xsl:with-param name="Now" select="$Now"/>
								<xsl:with-param name="TypeExportTD" select="$TypeExportTD"/>
								<xsl:with-param name="GUIDForKZX" select="$GUIDForKZX"/>
							</xsl:call-template>
						</DocBody>
					</ContainerDoc>
					<xsl:call-template name="GTDOutCustomsMark"/>
				</ED_Container>
			</xsl:when>
			<xsl:when test="$Tranzit=10">
				<xsl:for-each select="//Package">
					<xsl:call-template name="DO1Report">
						<xsl:with-param name="Now" select="$Now"/>
					</xsl:call-template>
				</xsl:for-each>
			</xsl:when>
			<xsl:when test="count(//ESADOUT_TD/ESADOUT_TD_ITEM)>0 and (//EDTRANSIT_INVENTORY/EDTRANSIT_INVENTORY_ITEM)=0 and count(//TIR/TIR_ITEM)=0 and count(//CMR/CMR_ITEM)=0 and  count(//RWB/RWB_ITEM)=0 and  count(//CONOSAMENT/CONOSAMENT_ITEM)=0">
				<xsl:call-template name="ESADout_TD">
					<xsl:with-param name="DeclLastName" select="$DeclLastName"/>
					<xsl:with-param name="DeclFirstName" select="$DeclFirstName"/>
					<xsl:with-param name="SelectDcl" select="$SelectDcl"/>
					<xsl:with-param name="Now" select="$Now"/>
					<xsl:with-param name="TypeExportTD" select="$TypeExportTD"/>
					<xsl:with-param name="GUIDForKZX" select="$GUIDForKZX"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$Tranzit=2 or $Tranzit=21">
				<ED_Container xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
					<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
					<xsl:if test="$Tranzit=21">
						<xsl:apply-templates select="//Package"/>
					</xsl:if>
					<ContainerDoc>
						<DocBody>
							<xsl:for-each select="//Package">
								<xsl:choose>
									<xsl:when test="count(//ESADOUT_TD/ESADOUT_TD_ITEM)>0">
										<xsl:call-template name="ESADout_TD">
											<xsl:with-param name="DeclLastName" select="$DeclLastName"/>
											<xsl:with-param name="DeclFirstName" select="$DeclFirstName"/>
											<xsl:with-param name="Now" select="$Now"/>
											<xsl:with-param name="SelectDcl" select="$SelectDcl"/>
											<xsl:with-param name="TranzitDcl" select="0"/>
											<xsl:with-param name="TypeExportTD" select="$TypeExportTD"/>
											<xsl:with-param name="GUIDForKZX" select="$GUIDForKZX"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:when test="count(//ESADOUT_PIT/ESADOUT_PIT_ITEM)>0">
										<xsl:call-template name="ESADout_TD">
											<xsl:with-param name="DeclLastName" select="$DeclLastName"/>
											<xsl:with-param name="DeclFirstName" select="$DeclFirstName"/>
											<xsl:with-param name="Now" select="$Now"/>
											<xsl:with-param name="ForPMP">1</xsl:with-param>
											<xsl:with-param name="SelectDcl" select="$SelectDcl"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="ESADout_CU">
											<xsl:with-param name="TranzitDcl" select="0"/>
											<xsl:with-param name="SelectDcl" select="$SelectDcl"/>
											<xsl:with-param name="DeclLastName" select="$DeclLastName"/>
											<xsl:with-param name="DeclFirstName" select="$DeclFirstName"/>
											<xsl:with-param name="Now" select="$Now"/>
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
						</DocBody>
					</ContainerDoc>
				</ED_Container>
			</xsl:when>
			<xsl:otherwise>
				<ED_Container xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
					<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
					<xsl:apply-templates select="//Package"/>
				</ED_Container>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="Package">
		<xsl:variable name="RefDocumentID">
			<xsl:choose>
				<xsl:when test="string-length(package-properties/prop[@name='RefDocumentID'])>0">
					<xsl:value-of select="package-properties/prop[@name='RefDocumentID']"/>
				</xsl:when>
				<xsl:when test="string-length(package-properties/prop[@name='TIN'])>0">
					<xsl:value-of select="package-properties/prop[@name='TIN']"/>
				</xsl:when>
			</xsl:choose>
		</xsl:variable>
		<xsl:if test="string-length($RefDocumentID)>0">
			<cat_ru:RefDocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
				<xsl:value-of select="$RefDocumentID"/>
			</cat_ru:RefDocumentID>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="string-length($CustomsDecision)>0 and $CustomsDecision=113">
				<xsl:call-template name="SendAfterCustomsDecision">
					<xsl:with-param name="CreateWHEDContainer" select="$CreateWHEDContainer"/>
				</xsl:call-template>	
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="SendAfterCustomsDecision">
					<xsl:with-param name="CreateWHEDContainer" select="$CreateWHEDContainer"/>
				</xsl:call-template>
				<xsl:if test="count(TIR/TIR_ITEM)>0">
					<xsl:call-template name="CUTIR_TIR">
						<xsl:with-param name="IncludeInventory" select="$IncludeInventory"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="count(CMR/CMR_ITEM)>0">
					<xsl:call-template name="CMR">
						<xsl:with-param name="CreateOnlyEDContainer">
							<xsl:choose>
								<xsl:when test="string-length($CreateOnlyEDContainer)>0">
									<xsl:value-of select="$CreateOnlyEDContainer"/>
								</xsl:when>
								<xsl:otherwise>0</xsl:otherwise>
							</xsl:choose>
						</xsl:with-param> 
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="count(RWB/RWB_ITEM)>0">
					<xsl:call-template name="RWB"/>
				</xsl:if>
				<xsl:if test="count(INTERNAL_RWB/INTERNAL_RWB_ITEM)>0">
					<xsl:call-template name="INTERNALRWB"/>
				</xsl:if>
				<xsl:if test="count(CONOSAMENT/CONOSAMENT_ITEM)>0">
					<xsl:call-template name="CONOSAMENT">
						<xsl:with-param name="NotHazCargoCode" select="$NotHazCargoCode"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="count(AWB/AWB_ITEM)>0">
					<xsl:call-template name="AWB"/>
				</xsl:if>
				<xsl:if test="count(PACKINGLIST/PACKINGLIST_ITEM)>0">
					<xsl:call-template name="PACKINGLIST"/>
				</xsl:if>
				<xsl:if test="count(INVOICE/INVOICE_ITEM)>0">
					<xsl:call-template name="INVOICE">
						<xsl:with-param name="BuildName" select="$BuildName"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="count(ANYDOC/ANYDOC_ITEM)>0 or count(SERTIFGRAINQUALITY/SERTIFGRAINQUALITY_ITEM)>0 or count(ORDER/ORDER_ITEM)>0 or count(ORDER_TDG/ORDER_TDG_ITEM)>0 or count(ORDER-NEW/ORDER-NEW_ITEM)>0 or count(FORWARD_REC/FORWARD_REC_ITEM)>0  or count(GU12/GU12_ITEM)>0">
					<xsl:call-template name="ANYDOC">
						<xsl:with-param name="BuildName" select="$BuildName"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="count(TTN/TTN_ITEM)>0">
					<xsl:call-template name="TTN"/>
				</xsl:if>
				<xsl:if test="count(FREEBINARYDOC/FREEBINARYDOC_ITEM)>0">
					<xsl:call-template name="FREEBINARYDOC"/>
				</xsl:if>
				<xsl:if test="count(GENERALDECL/GENERALDECL_ITEM)>0">
					<xsl:call-template name="GENERALDECL"/>
				</xsl:if>
				<xsl:if test="string-length($CreateWHEDContainer)=0 or $CreateWHEDContainer!=1">
					<xsl:if test="count(SEAPASSLIST/SEAPASSLIST_ITEM)>0">
						<xsl:call-template name="SEAPASSLIST"/>
					</xsl:if>
					<xsl:if test="count(PROHIBITEDGOODS/PROHIBITEDGOODS_ITEM)>0">
						<xsl:call-template name="PROHIBITEDGOODS"/>
					</xsl:if>
					<xsl:if test="count(APPSTORE/APPSTORE_ITEM)>0">
						<xsl:call-template name="APPSTORE"/>
					</xsl:if>
					<xsl:if test="count(CREWLIST/CREWLIST_ITEM)>0">
						<xsl:call-template name="CREWLIST"/>
					</xsl:if>
					<xsl:if test="count(DECLARATIONCREW/DECLARATIONCREW_ITEM)>0">
						<xsl:call-template name="DECLARATIONCREW"/>
					</xsl:if>
				</xsl:if>
				<xsl:if test="count(COMMINVOICE/COMMINVOICE_ITEM)>0">
					<xsl:call-template name="COMMINVOICE"/>
				</xsl:if>
				<xsl:if test="count(ARRSEADECL/ARRSEADECL_ITEM)>0">
					<xsl:call-template name="ARRSEADECL">
						<xsl:with-param name="ConosamentFromArrSeaDcl" select="$ConosamentFromArrSeaDcl"/>
						<xsl:with-param name="NotHazCargoCode" select="$NotHazCargoCode"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="count(CONTRACT/CONTRACT_ITEM)>0">
					<xsl:call-template name="CONTRACT"/>
				</xsl:if>
				<xsl:if test="count(CONTRACTAPX/CONTRACTAPX_ITEM)>0">
					<xsl:call-template name="CONTRACTAPX"/>
				</xsl:if>
				<xsl:if test="count(POSTALMANIFEST/POSTALMANIFEST_ITEM)>0">
					<xsl:call-template name="POSTAL"/>
				</xsl:if>
				<xsl:if test="$CreateOnlyEDContainer=0 or string-length($CreateOnlyEDContainer)=0">
					<xsl:if test="count(CMR/CMR_ITEM)>0 or  count(TIR/TIR_ITEM)>0">
						<xsl:call-template name="CTMCONTAINER_CMR"/>
					</xsl:if>
					<xsl:if test="count(RWB/RWB_ITEM)>0">
						<xsl:call-template name="CTMCONTAINER_RWB">
							<xsl:with-param name="Now" select="$Now"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="count(AWB/AWB_ITEM)>0">
						<xsl:call-template name="CTMCONTAINER_AWB"/>
					</xsl:if>
					<xsl:if test="count(SEAPASSLIST/SEAPASSLIST_ITEM)>0 or count(CREWLIST/CREWLIST_ITEM)>0 or count(ARRSEADECL/ARRSEADECL_ITEM)>0">
						<xsl:call-template name="CTMCONTAINER_SEA"/>
					</xsl:if>
				</xsl:if>
				<xsl:if test="count(SPECIFICATION/SPECIFICATION_ITEM)>0 or count(SPECIFIC/SPECIFIC_ITEM)>0">
					<xsl:call-template name="SPECIFICATION"/>
				</xsl:if>
				<xsl:if test="count(PROFINVOICE/PROFINVOICE_ITEM)>0 or count(PRILINVOICE/PRILINVOICE_ITEM)>0">
					<xsl:call-template name="PROFINVOICE">
						<xsl:with-param name="DeclLastName" select="$DeclLastName"/>
						<xsl:with-param name="DeclFirstName" select="$DeclFirstName"/>
					</xsl:call-template>
				</xsl:if>
				
				<xsl:if test="count(SANSERTIF/SANSERTIF_ITEM)>0">
					<xsl:call-template name="SANSERTIF"/>
				</xsl:if>
				<xsl:if test="count(SERTIFTITLEVESSEL/SERTIFTITLEVESSEL_ITEM)>0">
					<xsl:call-template name="SERTIFTITLEVESSEL"/>
				</xsl:if>
				<xsl:if test="count(PHYTOSERTIF/PHYTOSERTIF_ITEM)>0">
					<xsl:call-template name="PHYTOSERTIF"/>
				</xsl:if>
				<xsl:if test="count(SERTIFPRECIOUSMETAL/SERTIFPRECIOUSMETAL_ITEM)>0">
					<xsl:call-template name="SERTIFPRECIOUSMETAL"/>
				</xsl:if>
				<xsl:if test="count(SERTIFQUARANTINE/SERTIFQUARANTINE_ITEM)>0">
					<xsl:call-template name="SERTIFQUARANTINE"/>
				</xsl:if>
				<xsl:if test="count(SERTIFA/SERTIFA_ITEM)>0">
					<xsl:call-template name="SERTIFA"/>
				</xsl:if>
				<xsl:if test="count(SERTIFRIGHTSTATEFLAG/SERTIFRIGHTSTATEFLAG_ITEM)>0">
					<xsl:call-template name="SERTIFRIGHTSTATEFLAG"/>
				</xsl:if>
				<xsl:if test="count(SERTIFST1/SERTIFST1_ITEM)>0">
					<xsl:call-template name="SERTIFST1"/>
				</xsl:if>
				<xsl:if test="count(SERTIFST2/SERTIFST2_ITEM)>0">
					<xsl:call-template name="SERTIFST2"/>
				</xsl:if>
				<xsl:if test="count(SERTIFCNF/SERTIFCNF_ITEM)>0">
					<xsl:call-template name="SERTIFCNF"/>
				</xsl:if>
				<xsl:if test="count(SERTIFCULTURE/SERTIFCULTURE_ITEM)>0">
					<xsl:call-template name="SERTIFCULTURE"/>
				</xsl:if>
				<xsl:if test="count(STATEREGSERTIF/STATEREGSERTIF_ITEM)>0">
					<xsl:call-template name="STATEREGSERTIF"/>
				</xsl:if>
				<xsl:if test="count(CUSTDECLCONTRACT/CUSTDECLCONTRACT_ITEM)>0">
					<xsl:call-template name="CUSTDECLCONTRACT"/>
				</xsl:if>
				<xsl:if test="normalize-space($IncludeInventory)='PMPINVENTORY'">
					<xsl:if test="count(CUSTBROKSERTIF/CUSTBROKSERTIF_ITEM)>0">
						<xsl:call-template name="CUSTBROKSERTIF"/>
					</xsl:if>
					<xsl:if test="count(PASSPORTRF/PASSPORTRF_ITEM)>0">
						<xsl:call-template name="PASSPORTRF"/>
					</xsl:if>
					<xsl:if test="count(DOVER/DOVER_ITEM)>0">
						<xsl:call-template name="DOVER"/>
					</xsl:if>
					<xsl:if test="count(TSREGSERTIF/TSREGSERTIF_ITEM)>0">
						<xsl:call-template name="TSREGSERTIF"/>
					</xsl:if>
					<xsl:if test="count(CUSTREGSERTIF/CUSTREGSERTIF_ITEM)>0">
						<xsl:call-template name="CUSTREGSERTIF"/>
					</xsl:if>
					<xsl:if test="count(EXTRFROMORDER/EXTRFROMORDER_ITEM)>0">
						<xsl:call-template name="EXTRFROMORDER"/>
					</xsl:if>
				</xsl:if>
				<xsl:if test="count(VETERINARYCERTIFICATE/VETERINARYCERTIFICATE_ITEM)>0">
					<xsl:call-template name="VETERINARYCERTIFICATE"/>
				</xsl:if>
				<xsl:if test="$IncludeInventory ='WHDOCINVENTORY' and count(//ESADOUT_TD/ESADOUT_TD_ITEM)>0">
					<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
						<DocBody>
							<xsl:call-template name="ESADout_TD">
								<xsl:with-param name="DeclLastName" select="$DeclLastName"/>
								<xsl:with-param name="DeclFirstName" select="$DeclFirstName"/>
								<xsl:with-param name="Now" select="$Now"/>
							</xsl:call-template>
						</DocBody>
					</ContainerDoc>
				</xsl:if>
				<xsl:if test="$CreateOEZDocuments=1 and count(OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM)>0">
					<xsl:call-template name="OEZ_IMPORTEXPORTNOTIF"/>
				</xsl:if>
				<xsl:if test="$IncludeInventory = 1">
					<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
						<DocBody>
							<xsl:call-template name="Inventory-armti"/>
						</DocBody>
					</ContainerDoc>
				</xsl:if>
				<xsl:if test="$IncludeInventory ='WHDOCINVENTORY'">
					<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
						<DocBody>
							<xsl:call-template name="whInventory-armti"/>
						</DocBody>
					</ContainerDoc>
				</xsl:if>
				<xsl:if test="$IncludeInventory ='OEZINVENTORY'">
					<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
						<DocBody>
							<xsl:call-template name="oezInventory-armti"/>
						</DocBody>
					</ContainerDoc>
				</xsl:if>
				<xsl:call-template name="sysdlxml"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="SendAfterCustomsDecision">
		<xsl:param name="CreateWHEDContainer"/>
		<xsl:if  test="string-length($CreateWHEDContainer)=0 or $CreateWHEDContainer!=1">
			<xsl:if test=" $IncludeInventory!='WHDOCINVENTORY'">
				<xsl:if test="count(GENERALDECLAIR/GENERALDECLAIR_ITEM)>0">
					<xsl:call-template name="GENERALDECLAIR"/>
				</xsl:if>
				<xsl:if test="count(AIRAPPSTORE/AIRAPPSTORE_ITEM)>0">
					<xsl:call-template name="APPSTORE"/>
				</xsl:if>
				<xsl:if test="count(CARGOMANIFEST/CARGOMANIFEST_ITEM)>0">
					<xsl:call-template name="CARGOMANIFEST"/>
				</xsl:if>
				<xsl:if test="count(AIRPROHIBITEDGOODS/AIRPROHIBITEDGOODS_ITEM)>0">
						<xsl:call-template name="PROHIBITEDGOODS"/>
				</xsl:if>
				<xsl:if test="count(AIRPOSTALMANIFEST/AIRPOSTALMANIFEST_ITEM)>0">
					<xsl:call-template name="POSTAL"/>
				</xsl:if>
				<xsl:if test="count(AIRPASSLIST/AIRPASSLIST_ITEM)>0">
					<xsl:call-template name="AIRPASSLIST"/>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
