<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/Package.xsl"/>
	<xsl:import href="../../COMMON/template-customs.xsl"/>
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:param name="Now">2011-12-31T12:34:11</xsl:param>
	<xsl:param name="DeclLastName">N</xsl:param>
	<xsl:param name="DeclFirstName">N</xsl:param>
	<xsl:template match="/">
		<!--последний берём всегда, не имеет смысла посылать несколько, а предупреждает пусть FLK-->
		<xsl:for-each select="key('PackageDOC_ITEM', 'EDTRANSIT_DATELIMIT')[ last() = position() ]">
			<TransitDateLimit xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns="urn:customs.ru:Information:CustomsDocuments:TransitDateLimit:5.10.0" DocumentModeID="1006173E">
				<cat_ru:DocumentID>00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
				<DocumentSign>0</DocumentSign>
				<DocDate><xsl:value-of select="substring($Now, 1, 10)"/></DocDate>
				<DocTime><xsl:value-of select="substring($Now, 12, 8)"/></DocTime>
				<DateLimit><xsl:value-of select="substring(DateLimit, 1, 10)"/></DateLimit>
				<Reason><xsl:value-of select="Reason"/></Reason>
				<TD>
					<xsl:for-each select="key('PackageDocument', 'NotifGTDRegistration/GTDID')/*">
						<xsl:element name="{name()}">
							<xsl:value-of select="."/>
						</xsl:element>
					</xsl:for-each>
				</TD>
			</TransitDateLimit>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
