<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="ArmtiEDContainerInventory.xsl"/>
	<xsl:import href="ArmtiEDContainerRepresentativeApplication.xsl"/>
	<xsl:import href="ArmtiEDContainerFreeBinaryDoc.xsl"/>
	<xsl:param name="DeclLastName" select="'N'"/>
	<xsl:param name="DeclFirstName" select="'N'"/>
	<xsl:param name="Now" select="'2012-01-01'"/>
	<xsl:output method="xml"/>
	<xsl:template match="/">
		<ED_Container xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
			<xsl:for-each select="/Package">
				<xsl:if test="count(INVENTORY/INVENTORY_ITEM)>0 or count(EDTRANSIT_INVENTORY/EDTRANSIT_INVENTORY_ITEM)>0">
					<ContainerDoc>
						<DocBody>
							<xsl:call-template name="Inventory-armti"/>
						</DocBody>
					</ContainerDoc>
				</xsl:if>	
				<xsl:if test="count(REPRESENTATIVEAPPLICATION/REPRESENTATIVEAPPLICATION_ITEM)>0">
					<xsl:call-template name="REPRESENTATIVEAPPLICATION"/>
				</xsl:if>
			</xsl:for-each>
		</ED_Container>
	</xsl:template>
</xsl:stylesheet>
