<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml"/>
	<xsl:template match="*|/">
		<xsl:apply-templates select="//*[local-name()='ErrorList']"/>
	</xsl:template>
	<xsl:template match="*[local-name()='ErrorList']">
		<DesNotif_PIResult xmlns:ctmtd="http://rail.ctm.ru/TD/Document" ctmtd:CfgName="desnotif_piresult.cfg.xml">
			<DESNOTIF_PIRESULT_ITEM>
				<ResultInformation>
					<xsl:for-each select="*[local-name()='BadDocument']/*[local-name()='Error']">
						<RESULTINFORMATION_ITEM>
							<ResultCode><xsl:value-of select="*[local-name()='ErrCode']"/></ResultCode>
							<ResultDescription>
								<xsl:value-of select="*[local-name()='ErrorName']"/>
								<xsl:text> </xsl:text>
								<xsl:value-of select="*[local-name()='ErrDescription']"/>
								<xsl:text> </xsl:text>
								<xsl:value-of select="*[local-name()='ErrElementDesc']"/>
								<xsl:text> </xsl:text>
								<xsl:value-of select="*[local-name()='CorrectValue']"/>
								<xsl:text> </xsl:text>
							</ResultDescription>
							<ResultCategory>ERROR</ResultCategory>
							<ResultIdDocument><xsl:value-of select="../*[local-name()='DocID']"/></ResultIdDocument>
							<ResultPathNode><xsl:value-of select="*[local-name()='ErrElement']"/></ResultPathNode>
						</RESULTINFORMATION_ITEM>
					</xsl:for-each>
				</ResultInformation>
			</DESNOTIF_PIRESULT_ITEM>
		</DesNotif_PIResult>
	</xsl:template>
</xsl:stylesheet>
